class Subfinder < Formula
  desc "Subdomain discovery tool"
  homepage "https://github.com/projectdiscovery/subfinder"
  url "https://github.com/projectdiscovery/subfinder/archive/refs/tags/v2.6.6.tar.gz"
  sha256 "636bccb8b5a18b709f735f29979e53752f3d71e1c246b7ce845d802766937bf2"
  license "MIT"
  head "https://github.com/projectdiscovery/subfinder.git", branch: "master"

  depends_on "go" => :build

  def install
    cd "v2" do
      system "go", "build", *std_go_args(ldflags: "-s -w"), "./cmd/subfinder"
    end
  end

  test do
    assert_match "docs.brew.sh", shell_output("#{bin}/subfinder -d brew.sh")

    # upstream issue, https://github.com/projectdiscovery/subfinder/issues/1124
    if OS.mac?
      assert_predicate testpath/"Library/Application Support/subfinder/config.yaml", :exist?
      assert_predicate testpath/"Library/Application Support/subfinder/provider-config.yaml", :exist?
    else
      assert_predicate testpath/".config/subfinder/config.yaml", :exist?
      assert_predicate testpath/".config/subfinder/provider-config.yaml", :exist?
    end

    assert_match version.to_s, shell_output("#{bin}/subfinder -version 2>&1")
  end
end
